%define upstream_name	 FCGI
%define upstream_version 0.77

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
%define subrel 1
Release:    %mkrel 4

Summary:    A Fast CGI module for Perl
License:    Distributable
Group:      Development/Perl
Url:        http://cpan.valueclick.com/authors/id/SKIMO/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz
Patch0:	    perl-FCGI-0.71-CVE-2012-6687.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
This is a Fast CGI module for perl. It's based on the FCGI module that
comes with Open Market's FastCGI Developer's Kit, but does not require
you to recompile perl.

See <http://www.fastcgi.com/> for more information about fastcgi.
Lincoln D. Stein's perl CGI module also contains some information
about fastcgi programming.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
chmod 0644 LICENSE.TERMS META.json META.yml

%build
# Choose not to build a pure Perl implementation
# (default answer [n] -> return)
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml README
%{_mandir}/*/*
%{perl_vendorarch}/FCGI*
%{perl_vendorarch}/auto/FCGI


%changelog
* Thu Feb 25 2016 luigiwalser <luigiwalser> 0.770.0-4.1.mga5
+ Revision: 979142
- add patch from debian to fix CVE-2012-6687

* Wed Oct 15 2014 umeabot <umeabot> 0.770.0-4.mga5
+ Revision: 749325
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.770.0-3.mga5
+ Revision: 732127
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.770.0-2.mga5
+ Revision: 684696
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 0.770.0-1.mga5
+ Revision: 660479
- update to 0.77

* Thu Jul 17 2014 sander85 <sander85> 0.750.0-1.mga5
+ Revision: 653390
- update to 0.75

* Tue Jun 03 2014 pterjan <pterjan> 0.740.0-9.mga5
+ Revision: 631172
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.740.0-8.mga4
+ Revision: 524298
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.740.0-7.mga4
+ Revision: 430693
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 0.740.0-6.mga4
+ Revision: 430188
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.740.0-5.mga3
+ Revision: 367100
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.740.0-4.mga3
+ Revision: 250617
- rebuild for perl 5.16

* Sun Oct 16 2011 jquelin <jquelin> 0.740.0-3.mga2
+ Revision: 155486
- remove restriction on doc files (bug#3054)

* Sat Sep 24 2011 jquelin <jquelin> 0.740.0-2.mga2
+ Revision: 147499
- bug#2737 - update to 0.74 (fix CVE-2011-2766)

* Sat Jun 11 2011 sander85 <sander85> 0.730.0-2.mga2
+ Revision: 104247
- perl 5.14

  + blino <blino>
    - 0.73 (fix build with recent ExtUtils::MakeMaker)

* Wed Jan 19 2011 jquelin <jquelin> 0.710.0-4.mga1
+ Revision: 23766
- rebuild

* Wed Jan 12 2011 jquelin <jquelin> 0.710.0-3.mga1
+ Revision: 7063
- imported package perl-FCGI

